Skip to main content
`Ctrl`+`K`

# EPSGetDimensions

Gets the number of eigenvalues to compute and the dimension of the subspace.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetDimensions(EPS eps,PetscInt *nev,PetscInt *ncv,PetscInt *mpd)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameters

- nev - number of eigenvalues to compute

- ncv - the maximum dimension of the subspace to be used by the solver

- mpd - the maximum dimension allowed for the projected problem

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetDimensions()`

## Level

intermediate

## Location

src/eps/interface/epsopts.c

## Examples

src/eps/tutorials/ex2.c
src/eps/tutorials/ex25.c
src/eps/tutorials/ex11.c
src/eps/tutorials/ex34.c
src/eps/tutorials/ex18.c
src/eps/tutorials/ex3.c
src/eps/tutorials/ex1.c
src/eps/tutorials/ex12.c
src/eps/tutorials/ex44.c
src/eps/tutorials/ex5.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages